var win = Titanium.UI.createWindow({  
    backgroundColor:'white'
});

var scrollView = Ti.UI.createScrollView({
			  contentWidth: 'auto',
	  contentHeight: 'auto',
	  showVerticalScrollIndicator: true,
	  layout:'vertical',
	  height: '85%',
	  width: Ti.UI.FILL
});

// Video player volume test
scrollView.add( Ti.UI.createLabel({text:'Video Player', height:Ti.UI.SIZE, width:Ti.UI.SIZE, color:'black'}) );

var videoPlayer = Titanium.Media.createVideoPlayer({
    height : 300,
    width : 300,
    mediaControlStyle : Ti.Media.VIDEO_CONTROL_DEFAULT,
    scalingMode : Titanium.Media.VIDEO_SCALING_ASPECT_FIT,
    url: 'movie.mp4',
        volume: 0.0
    });
  	
 	scrollView.add(videoPlayer);
 
	scrollView.add(createVolumeControl(videoPlayer));
	
	// Sound volume test
scrollView.add( Ti.UI.createLabel({text:'Sound Player', height:Ti.UI.SIZE, width:Ti.UI.SIZE, color: 'black', top:20}) );

var sound = Ti.Media.createSound({url:'bugs.wav'});
scrollView.add(createVolumeControl(sound));

var playSoundButton = Ti.UI.createButton({
    title: "Play Sound",
    height: Ti.UI.SIZE,
    width: Ti.UI.SIZE
});

playSoundButton.addEventListener('click', function() {
	if(sound.isPlaying()) {
		sound.stop();
		playSoundButton.title = 'Play Sound';
	}
	else {
		sound.play();
		playSoundButton.title = 'Stop Sound';
	}
		
});

scrollView.add(playSoundButton);

// Audio volume test
scrollView.add( Ti.UI.createLabel({text:'Audio Player', height:Ti.UI.SIZE, width:Ti.UI.SIZE, color:'black', top:20}) );

// TIMOB-9409: iOS cannot play local mp3 files
var audio = Ti.Media.createAudioPlayer({url: 'http://appcelerator.qe.test.data.s3.amazonaws.com/timob8992Music.mp3', volume: 0.5});
scrollView.add(createVolumeControl(audio));

var playAudioButton = Ti.UI.createButton({
    title: "Play Audio",
    height: Ti.UI.SIZE,
    width: Ti.UI.SIZE
});

playAudioButton.addEventListener('click', function() {
    if(audio.playing){
    	audio.stop();
    	playAudioButton.title = 'Play Audio';
    	
    	if (Ti.Platform.name === 'android') audio.release(); 
    }
    else {
    	// audio.play(); Android only method
    	audio.start();
    	playAudioButton.title = 'Stop Audio';	
    }
    
});

scrollView.add(playAudioButton);

function createVolumeControl(player) {
    var slider = Ti.UI.createSlider({
        value: player.volume * 100,
        min: 0,
        max: 100,
        width: Ti.UI.FILL
    });
 
    slider.addEventListener('change', function(e) {
        player.volume = e.value/100;
    });
 
    return slider;
};

win.add(scrollView);
win.open();